Debian Bug report logs - #717116
jbossas4: FTBFS with Java7

version graph

Package: jbossas4; Maintainer for jbossas4 is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for jbossas4 is src:jbossas4.

Reported by: Shuxiong Ye <yeshuxiong@gmail.com>

Date: Wed, 17 Jul 2013 01:51:02 UTC

Severity: serious

Tags: jessie, sid

Found in version jbossas4/4.2.3.GA-7

Fixed in version jbossas4/4.2.3.GA-8

Done: ShuxiongYe <yeshuxiong@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#717116; Package jbossas4. (Wed, 17 Jul 2013 01:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shuxiong Ye <yeshuxiong@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 17 Jul 2013 01:51:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Shuxiong Ye <yeshuxiong@gmail.com>
To: submit@bugs.debian.org
Subject: jbossas4: FTBFS with Java7
Date: Wed, 17 Jul 2013 09:48:27 +0800
[Message part 1 (text/plain, inline)]
Package: jbossas4
Version: 4.2.3.GA-7
Severity: serious
User: ubuntu-devel@lists.ubuntu.com
Usertags: openjdk-7-transition

    [javac] /tmp/buildd/jbossas4-4.2.3.GA/debian/build.xml:80: warning:
'includeantruntime' was not set, defaulting to build.sysclasspath=last; set
to false for repeatable builds
    [javac] Compiling 602 source files to /tmp/buildd/
jbossas4-4.2.3.GA/jmx/classes
    [javac] /tmp/buildd/
jbossas4-4.2.3.GA/jmx/src/main/org/jboss/mx/capability/OptimizedMBeanDispatcher.java:169:
error: unmappable character for encoding ASCII
    [javac]    * See JVM spec ???4.2 and ???4.3 for detailed description of
the internal class name format and grammar notation.
    [javac]                   ^
    [javac] /tmp/buildd/
jbossas4-4.2.3.GA/jmx/src/main/org/jboss/mx/capability/OptimizedMBeanDispatcher.java:169:
error: unmappable character for encoding ASCII
    [javac]    * See JVM spec ???4.2 and ???4.3 for detailed description of
the internal class name format and grammar notation.
    [javac]                    ^
    [javac] /tmp/buildd/
jbossas4-4.2.3.GA/jmx/src/main/org/jboss/mx/capability/OptimizedMBeanDispatcher.java:169:
error: unmappable character for encoding ASCII
    [javac]    * See JVM spec ???4.2 and ???4.3 for detailed description of
the internal class name format and grammar notation.
    [javac]                     ^
    [javac] /tmp/buildd/
jbossas4-4.2.3.GA/jmx/src/main/org/jboss/mx/capability/OptimizedMBeanDispatcher.java:169:
error: unmappable character for encoding ASCII
    [javac]    * See JVM spec ???4.2 and ???4.3 for detailed description of
the internal class name format and grammar notation.
    [javac]                              ^
    [javac] /tmp/buildd/
jbossas4-4.2.3.GA/jmx/src/main/org/jboss/mx/capability/OptimizedMBeanDispatcher.java:169:
error: unmappable character for encoding ASCII
    [javac]    * See JVM spec ???4.2 and ???4.3 for detailed description of
the internal class name format and grammar notation.
    [javac]                               ^
    [javac] /tmp/buildd/
jbossas4-4.2.3.GA/jmx/src/main/org/jboss/mx/capability/OptimizedMBeanDispatcher.java:169:
error: unmappable character for encoding ASCII
    [javac]    * See JVM spec ???4.2 and ???4.3 for detailed description of
the internal class name format and grammar notation.
    [javac]                                ^
    [javac] 6 errors

BUILD FAILED
/tmp/buildd/jbossas4-4.2.3.GA/debian/build.xml:80: Compile failed; see the
compiler error output for details.

Total time: 3 seconds
make: *** [debian/stamp-ant-build] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package


-- 
Sincerely

Shuxiong Ye

School of Electronics Engineering and Computer Science, Peking University
[Message part 2 (text/html, inline)]
[jbossas4-openjdk-7-log (application/octet-stream, attachment)]

Added tag(s) sid and jessie. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Thu, 18 Jul 2013 08:51:07 GMT) Full text and rfc822 format available.

Reply sent to ShuxiongYe <yeshuxiong@gmail.com>:
You have taken responsibility. (Tue, 30 Jul 2013 09:06:23 GMT) Full text and rfc822 format available.

Notification sent to Shuxiong Ye <yeshuxiong@gmail.com>:
Bug acknowledged by developer. (Tue, 30 Jul 2013 09:06:23 GMT) Full text and rfc822 format available.

Message #12 received at 717116-close@bugs.debian.org (full text, mbox):

From: ShuxiongYe <yeshuxiong@gmail.com>
To: 717116-close@bugs.debian.org
Subject: Bug#717116: fixed in jbossas4 4.2.3.GA-8
Date: Tue, 30 Jul 2013 09:04:46 +0000
Source: jbossas4
Source-Version: 4.2.3.GA-8

We believe that the bug you reported is fixed in the latest version of
jbossas4, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717116@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
ShuxiongYe <yeshuxiong@gmail.com> (supplier of updated jbossas4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Jul 2013 08:08:50 +0800
Source: jbossas4
Binary: jbossas4 libjboss-test-java libjboss-jmx-java libjboss-system-java libjboss-j2ee-java libjboss-ejb3-java libjboss-ejb3x-java libjboss-naming-java libjboss-deployment-java libjboss-transaction-java libjboss-security-java libjboss-server-java libjboss-messaging-java libjboss-management-java libjboss-cluster-java libjboss-aspects-java libjboss-connector-java libjboss-jms-java libjboss-webservices-java
Architecture: source all
Version: 4.2.3.GA-8
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: ShuxiongYe <yeshuxiong@gmail.com>
Description: 
 jbossas4   - JBoss Application Server
 libjboss-aspects-java - JBoss Aspects
 libjboss-cluster-java - JBoss Cluster
 libjboss-connector-java - JBoss Connector
 libjboss-deployment-java - JBoss Deployment
 libjboss-ejb3-java - JBoss Enterprise Java Beans (EJB) 3.0
 libjboss-ejb3x-java - JBoss Enterprise Java Beans (EJB3X)
 libjboss-j2ee-java - JBoss J2EE core libraries
 libjboss-jms-java - JBoss Java Message Service (JMS)
 libjboss-jmx-java - JBoss Java Management Extensions
 libjboss-management-java - JBoss Management
 libjboss-messaging-java - JBoss Messaging
 libjboss-naming-java - JBoss Naming
 libjboss-security-java - JBoss Security
 libjboss-server-java - JBoss Server
 libjboss-system-java - JBoss System
 libjboss-test-java - JBoss Test Suite
 libjboss-transaction-java - JBoss Transaction
 libjboss-webservices-java - JBoss Web Services
Closes: 717116
Changes: 
 jbossas4 (4.2.3.GA-8) unstable; urgency=low
 .
   [ Niels Thykier ]
   * Team upload.
   * Compile Java with source 1.5 and target 1.5 if it did
     not explicitly had another source marker.
 .
   [ ShuxiongYe ]
   * Team upload.
   * Compatible with Java7. (Closes: #717116)
     - debian/patches/compatible-with-java7
 .
   [ Sylvestre Ledru ]
   * Standards-Version updated to 3.9.4
Checksums-Sha1: 
 a2f07451c71c9e954e43957d7ff36db6dd8a948c 3162 jbossas4_4.2.3.GA-8.dsc
 e2a427c7c264f60f8d6aced72eddcc1ab80959bc 26314 jbossas4_4.2.3.GA-8.debian.tar.gz
 4b22de4d5307ed8071678297e3106bb9992d8688 38032 jbossas4_4.2.3.GA-8_all.deb
 cb69a42c50756d3a9f5f9f27cb7294f68d877933 51234 libjboss-test-java_4.2.3.GA-8_all.deb
 dc22b0823f92a0a4a66cf0f790c1e37e623e9942 532804 libjboss-jmx-java_4.2.3.GA-8_all.deb
 dda2b2121b8cfa59ca38806318e8c27f4aac41c5 235108 libjboss-system-java_4.2.3.GA-8_all.deb
 e984a582803aab3a804e98921953ac8d98b3adf1 124568 libjboss-j2ee-java_4.2.3.GA-8_all.deb
 a3667a8e70ccdca142638c84c5d7446a4e4bfa50 703042 libjboss-ejb3-java_4.2.3.GA-8_all.deb
 1da76dbf579c1f3791baefdb4b6b0f56d3b17392 21594 libjboss-ejb3x-java_4.2.3.GA-8_all.deb
 d1bc395cb7b4dd0062c55ab826d4e9b6602e90a6 50226 libjboss-naming-java_4.2.3.GA-8_all.deb
 a9de28e878e6aff2d27b96ec3c44a35b61f13243 62570 libjboss-deployment-java_4.2.3.GA-8_all.deb
 37e6b0ead12e13e000d3d641954cd9d30f1f41dd 55516 libjboss-transaction-java_4.2.3.GA-8_all.deb
 aa92302260ec90e074ddec75c92e8ba6569f361e 285176 libjboss-security-java_4.2.3.GA-8_all.deb
 43e3bfebf0249b3a65c66d77c53f7bd50f6447f4 908070 libjboss-server-java_4.2.3.GA-8_all.deb
 8f737dc3753808d84624e24e199de54d376d608a 490814 libjboss-messaging-java_4.2.3.GA-8_all.deb
 9ae1edb2c69f7096472358da9fc7b62e1d41d1ba 129094 libjboss-management-java_4.2.3.GA-8_all.deb
 70b6fa02650fdd5cd5937f63c5adaae9e5c51f7d 120234 libjboss-cluster-java_4.2.3.GA-8_all.deb
 3ded37d62661b12538f7c3da5379fd9028d3b757 225014 libjboss-aspects-java_4.2.3.GA-8_all.deb
 8d76a453d6ca8d55eeaa0c49b65c19b6e340306c 394252 libjboss-connector-java_4.2.3.GA-8_all.deb
 1bff324440aa093e464d08cefeab89b9b177b035 148952 libjboss-jms-java_4.2.3.GA-8_all.deb
 3a4e21ad82de60f2cd45ebb9ae1df69b7eb3af38 74256 libjboss-webservices-java_4.2.3.GA-8_all.deb
Checksums-Sha256: 
 f5b8fb7a6b980d4383dd46db5f0434d205ffc112acd3d55febaf444100e0923c 3162 jbossas4_4.2.3.GA-8.dsc
 e6f25d8ff87710f5d83cc0931fa2f4e695fbf4d5ed24e30b081074851e5570ef 26314 jbossas4_4.2.3.GA-8.debian.tar.gz
 8c75486d9dfc42051edc95601fe2dcb37948066b7665820d7a09e9fdf7c83dba 38032 jbossas4_4.2.3.GA-8_all.deb
 f862520c352f9b5ee8a492b01378d54eba1651cef6017447dbb20339c298601c 51234 libjboss-test-java_4.2.3.GA-8_all.deb
 67b3d7cb2ec794b759870c7b5a2135cb295b715e1897f23d03baba43f565e57b 532804 libjboss-jmx-java_4.2.3.GA-8_all.deb
 540512a9d80b6e2442a807dbcdf201d99794b942c46d714190400b8a9697e593 235108 libjboss-system-java_4.2.3.GA-8_all.deb
 a33769fe5bbcf5818b34dcbd74b48fe284ca0e3c163ba4007309afce7d9d3f69 124568 libjboss-j2ee-java_4.2.3.GA-8_all.deb
 c9a7faa880304195d78ad7aa66a205f959d6bd00f7bd9de8213c6e8ad095e42d 703042 libjboss-ejb3-java_4.2.3.GA-8_all.deb
 5d5d09cd15f2a97fb267c1b2a93cee5bd968849ddf4e4b383af0844800026ec2 21594 libjboss-ejb3x-java_4.2.3.GA-8_all.deb
 16a6e8a760424967859337ddc0f007699c772089b7011e8eae92abe8c49ea4eb 50226 libjboss-naming-java_4.2.3.GA-8_all.deb
 491af345508b8bff38cb524300ec3b360f07add7e485bacc4b9bdc6e9921d1b8 62570 libjboss-deployment-java_4.2.3.GA-8_all.deb
 1c920a1869e902815d82409cad8c03d72fa22dd8568630084056f43e2411e926 55516 libjboss-transaction-java_4.2.3.GA-8_all.deb
 f49a323989c85b0fbfe5d768cea35b31adabd6656ae6d5db08802ae188843349 285176 libjboss-security-java_4.2.3.GA-8_all.deb
 1fb92bf970af278f353438a7d2442b3e35a593714402b5d3f9a0d1239b1eb193 908070 libjboss-server-java_4.2.3.GA-8_all.deb
 368e0407f73c5b4165c7ec8bc566ae6ac4a40155373e5a5c65f0ef5cd0524754 490814 libjboss-messaging-java_4.2.3.GA-8_all.deb
 2dfb7f6a66a3fe8115c77da9d9e6373fa613b06d335e4f9adc4667c1955d5170 129094 libjboss-management-java_4.2.3.GA-8_all.deb
 4f6797ef43065c932c32aa0882156516692350417216dc7b907813a1d342c6fd 120234 libjboss-cluster-java_4.2.3.GA-8_all.deb
 eeab07d6fd5bcaa5a62b9ff60a105baf7570bd27929dcc52b39d3354b68aaefd 225014 libjboss-aspects-java_4.2.3.GA-8_all.deb
 ede9085425d9a59a41e7dc9d2995227e92d09b720bbb607f273e7c358dea13fd 394252 libjboss-connector-java_4.2.3.GA-8_all.deb
 14eeef00f87d8a20e77680920cbb7c47b0d271b7649274553f4327b4eecf43ca 148952 libjboss-jms-java_4.2.3.GA-8_all.deb
 f41b9c582824db540d30c8b0dded3e9582b6898941875c0013a2eb422245b74e 74256 libjboss-webservices-java_4.2.3.GA-8_all.deb
Files: 
 df04295313907d3b753ceb813447bd17 3162 java optional jbossas4_4.2.3.GA-8.dsc
 9cc2e51b68872c36369919fba68580f7 26314 java optional jbossas4_4.2.3.GA-8.debian.tar.gz
 033a7c5bf4ccf4606cfb2ceb05d10fe4 38032 java optional jbossas4_4.2.3.GA-8_all.deb
 c2d8edcca4cf07b0b669777a33f3184a 51234 java optional libjboss-test-java_4.2.3.GA-8_all.deb
 7cb3cbf08d67401ce7cde3409ecd95a8 532804 java optional libjboss-jmx-java_4.2.3.GA-8_all.deb
 dc839b94aae73457e78a9f5b3821cd0a 235108 java optional libjboss-system-java_4.2.3.GA-8_all.deb
 1d7a899c457b026831a5acbfebcf9581 124568 java optional libjboss-j2ee-java_4.2.3.GA-8_all.deb
 1b4996e709ecb08cdec582f9c0415304 703042 java optional libjboss-ejb3-java_4.2.3.GA-8_all.deb
 20ee55fa45ee544fc06d3a670b43912c 21594 java optional libjboss-ejb3x-java_4.2.3.GA-8_all.deb
 4313e0243c0144c49d5cb218165b8d44 50226 java optional libjboss-naming-java_4.2.3.GA-8_all.deb
 691f5ff09df6a70853d12f17e6b87427 62570 java optional libjboss-deployment-java_4.2.3.GA-8_all.deb
 7f350cd255495e772c71d5074b44f85c 55516 java optional libjboss-transaction-java_4.2.3.GA-8_all.deb
 7287635f17393a9f686612f0cf9074a5 285176 java optional libjboss-security-java_4.2.3.GA-8_all.deb
 c29def635d1062a3cb73f315f235fd5f 908070 java optional libjboss-server-java_4.2.3.GA-8_all.deb
 c4bdf28f680c19e1e6c7095b389f07a4 490814 java optional libjboss-messaging-java_4.2.3.GA-8_all.deb
 2326b32b2f597805c8578b99329aedc0 129094 java optional libjboss-management-java_4.2.3.GA-8_all.deb
 64d84bd7ca4586ea2447d610909fdd8a 120234 java optional libjboss-cluster-java_4.2.3.GA-8_all.deb
 72cd7a5bbc5cf0012a3567cc5f7b4a26 225014 java optional libjboss-aspects-java_4.2.3.GA-8_all.deb
 055ea74d9515f7030395c88ba5506863 394252 java optional libjboss-connector-java_4.2.3.GA-8_all.deb
 87d1a6be1323b0fc873604e7f0458d75 148952 java optional libjboss-jms-java_4.2.3.GA-8_all.deb
 3bbaee2a1735b4ae4ad2043bf92f5ca9 74256 java optional libjboss-webservices-java_4.2.3.GA-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlH3fCcACgkQiOXXM92JlhAXDACcDJqIieKrm0UWF9rv26QOJOl0
WaoAnRFtLtNOeW3BGvg0uEmGs4kIYNsU
=Hsez
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Sep 2013 07:27:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:47:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.